/** Gcd.java
 * 
 *  stellt eine statische Methode zur ggT_Berechnung
 *  nach dem Euklid'schen Algorithmus bereit.
 */

public class Gcd {

   public static int gcd(int x, int y) {
	// Sonderfall abfangen
        if (x == 0) 
           return y;
	if (y == 0)
	   return x;

	// Endlosschleife vermeiden
	if (x < 0)
	   x = -x;
	if (y < 0) 
	   y = -y;

	// Algorithmus von Euklid
	 while (x != y)
           if (x > y)
                x = x - y;
           else
                y = y - x;
        return x;
   }
}
