/** Sort.java.l (mit Selection- und Bubblesort)
 *  
 *  Ein Algorithmus, der einige Sortieralgorithmen implementiert.
 */


public class Sort {

  private static int[] folge;


  // Ausgabe einer Folge
  public static void show(int[] folge) {
    for(int i=0;i<folge.length-1;i++)
      System.out.print(folge[i] + ",");
      System.out.println(folge[folge.length-1]);
  }


  // Austausch zweier Folgenelemente
  private static void tausch(int i, int j) {
    int z = folge[i];
    folge[i] = folge[j];
    folge[j] = z;
  }

  
  // Selectionsort
  public static void selectionSort(int[] toBeSorted) {

    folge = toBeSorted; 
    int i,j,m;

    for(i=0;i<folge.length-1;i++) {
      m=i;
      for(j=i+1;j<folge.length;j++) 
        if (folge[j] < folge[m]) m=j;
      tausch(i,m);
    }
  }


  // Bubblesort
  public static void bubbleSort(int[] toBeSorted) {

    folge = toBeSorted; 
    int i,j;

    for(i=folge.length-1;i>0;i--) 
      for(j=0;j<i;j++)
        if (folge[j]>folge[j+1]) tausch(j,j+1);
  }
}

// Sort (.l)
